Skip to main content
Server path: /maintainx-work-orders | Type: Application | PCID required: Yes

Tools

ToolDescription
maintainx_work_orders_create_workordersCreate new work order
maintainx_work_orders_create_workorders_commentsCreate new comment on a work order
maintainx_work_orders_create_workorders_costsCreate new cost on a work order
maintainx_work_orders_create_workorders_emailsSend work order as an email
maintainx_work_orders_create_workpermits_signSign a work permit
maintainx_work_orders_create_workrequestportalsCreate new work request portal
maintainx_work_orders_create_workrequestsCreate work request
maintainx_work_orders_delete_workordersDelete workOrder
maintainx_work_orders_delete_workorders_attachmentsRemove work order attachment
maintainx_work_orders_delete_workorders_procedureDetach procedure from work order
maintainx_work_orders_delete_workorders_procedure_fields_attachmentDelete procedure field attachment
maintainx_work_orders_delete_workrequestportalsDelete work request portal
maintainx_work_orders_delete_workrequestsDelete workRequest
maintainx_work_orders_delete_workrequests_attachmentsRemove work request attachment
maintainx_work_orders_get_workordersGet work order
maintainx_work_orders_get_workorders_commentsList work order comments
maintainx_work_orders_get_workorders_costsGet costs information
maintainx_work_orders_get_workorders_subworkordersList sub work orders
maintainx_work_orders_get_workrequestportalsGet work request portal
maintainx_work_orders_get_workrequestsGet work request
maintainx_work_orders_list_workordersList work orders
maintainx_work_orders_list_workorders_commentsList work order comments
maintainx_work_orders_list_workorders_subworkordersList sub work orders
maintainx_work_orders_list_workrequestportalsList work request portals
maintainx_work_orders_list_workrequestsList work requests
maintainx_work_orders_update_workordersUpdate work order
maintainx_work_orders_update_workorders_procedure_fields_attachmentUpdate procedure field attachment
maintainx_work_orders_update_workorders_statusUpdate work order status
maintainx_work_orders_update_workrequestportalsUpdate work request portal
maintainx_work_orders_update_workrequestsUpdate work request
maintainx_work_orders_upload_workorders_attachmentsUpdate work order attachment
maintainx_work_orders_upload_workorders_thumbnailUpdate work order’s thumbnail
maintainx_work_orders_upload_workrequests_attachmentsUpdate work request attachment
maintainx_work_orders_upload_workrequests_thumbnailUpdate work request’s thumbnail

maintainx_work_orders_create_workorders

Create new work order Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true to skip all webhooks upon successful work order creation.
x-organization-idintegerNoRequired if using a multi organizations token
assetIdintegerNoAsset Id
assigneesobject[]NoEither the teamId, the userId or the user email address
categoriesstring[]NoList of categories that identify the work order
descriptionstringNoThe description value
dueDatestringNoDate & time at which the work order is due
estimatedTimeintegerNoThe estimated time taken in seconds to complete the work order
externalDataobjectNoExtra data that can be attached to the work order, for example to help reference to a matching record in an external system.
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Estimated Time Allotted”)
isParentbooleanNoWhether the work order is a parent work order. A parent work order has only a subset of the standard work order fields. It also has fields that aren’t included in a standard work order. <a href=‘https://help.getmaintainx.com/multi-asset-work-orders?utm_source=mx-api-docs&utm_medium=web&utm_campaign=multi-asset-work-orders&utm_id=maintainx’ target=’_blank’>Learn more</a></br>Mutually exclusive with parentId
locationIdintegerNoGlobal ID of the location assigned to the work order
parentIdnumberNoID of the parent work order. If provided, the work order will be created as a sub-work order under this parent work order. Sub-work orders inherit most of their fields from the parent work order. <a href=‘https://help.getmaintainx.com/create-and-manage-sub-work-orders?utm_source=mx-api-docs&utm_medium=web&utm_campaign=create-and-manage-sub-work-orders&utm_id=maintainx’ target=’_blank’>Learn more</a></br>Mutually exclusive with isParent
partsUsedobject[]NoParts IDs and quantities used in this work order
prioritystringNoThe priority value
procedureobjectNoThe procedure value
procedureTemplateIdnumberNoID of the procedure template to attach
repeatabilityobjectNoThe repeatability value
requesterIdobjectNoID or email of the user who requested the work order
skipRestHookbooleanNoWhen work order is created, will not trigger any rest hook that is subscribed
startDatestringNoDate & time at which the work order will show up in the inbox</br>Only valid when <b>dueDate</b> is set
titlestringYesThe title value
typestringNoValid types of Work Orders.
vendorIdsnumber[]NoVendor IDs
workOrderTemplateIdintegerNoID of the Work Order Template that will be used to create this work order. Note that data from the payload will overwrite the Template data. Also, restrictions defined by the Template (EG: Required/Hidden/Read-Only fields) will apply.
workRequestIdintegerNoID of the Work Request that will be approved by the creation of this work order

maintainx_work_orders_create_workorders_comments

Create new comment on a work order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the work order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
contentstringYesContent of the comment to post

maintainx_work_orders_create_workorders_costs

Create new cost on a work order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the work order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesCost to create

maintainx_work_orders_create_workorders_emails

Send work order as an email Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the work order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
customMessagestringNoCustom message to send with the Work Order
emailsstring[]NoEmails to send the Work Order to
exportOptionsobjectNoType of export options for the work order attached to the email

maintainx_work_orders_create_workpermits_sign

Sign a work permit Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the id
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
externalLinkUuidstringYesGlobal UUID of the External Link used to sign the Work Permit
signerNamestringYesName of the signer when using an External Link

maintainx_work_orders_create_workrequestportals

Create new work request portal Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
assetIdintegerNoID of the asset related to the portal
contactInformationstringNoContact of the person creating the portal (email or phone number)
descriptionPlaceholderstringNoPlaceholder text for the description field
emailOnlybooleanNoAllow request creation with email only to contact the requester
locationIdintegerNoID of the location where the portal is located
sendEmailNotificationbooleanNoSend email notifications to the portal requesters with status updates on their requests
titlestringYesTitle of the portal
welcomeTextstringNoDescription text describing the portal

maintainx_work_orders_create_workrequests

Create work request Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
approverTeamIdnumberNoID of the team that is reponsible for approving the request.
assetIdnumberNoAsset Id
creatorContactInfostringNoThe creator’s contact information associated with this work order request. Possible types are EMAIL, PHONE, and OTHER, which will be inferred from the string provided
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Request Type”)
locationIdnumberNoLocation Id
prioritystringNoThe priority value
titlestringYesThe title value

maintainx_work_orders_delete_workorders

Delete workOrder Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workOrder
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workorders_attachments

Remove work order attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workorders_procedure

Detach procedure from work order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workorders_procedure_fields_attachment

Delete procedure field attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
indexintegerYesSequential index of the field in the procedure
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workrequestportals

Delete work request portal Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workRequestPortal
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workrequests

Delete workRequest Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workRequest
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_delete_workrequests_attachments

Remove work request attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work request.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_work_orders_get_workorders

Get work order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workOrder
expandstring[]NoTo expand multiple fields: expand=assignees&expand=asset
useSequentialIdbooleanNoWhether to use the sequential ID instead of the global ID

maintainx_work_orders_get_workorders_comments

List work order comments Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the work order
cursorstringNoLast pagination reference
limitintegerNomax number of Comments returned

maintainx_work_orders_get_workorders_costs

Get costs information Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order

maintainx_work_orders_get_workorders_subworkorders

List sub work orders Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the work order
cursorstringNoLast pagination reference
limitintegerNomax number of Subworkorders returned
expandstring[]NoTo expand multiple fields: expand=assignees&expand=asset

maintainx_work_orders_get_workrequestportals

Get work request portal Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workRequestPortal

maintainx_work_orders_get_workrequests

Get work request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workRequest
expandstring[]NoTo expand multiple fields: expand=asset&expand=location

maintainx_work_orders_list_workorders

List work orders Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Work Orders returned
titlestringNoTo filter work orders by title
assetsinteger[]NoTo filter by multiple asset IDs: assets=630&assets=634
notAssetsinteger[]NoFilter work orders that have none of the provided assets. To filter by multiple asset IDs: notAssets=630&notAssets=634
locationsinteger[]NoTo filter by multiple location IDs: locations=193&locations=194&locations=195
notLocationsinteger[]NoFilter work orders that have none of the provided locations. To filter by multiple location IDs: notLocations=193&notLocations=194&notLocations=195
partsinteger[]NoTo filter by multiple part IDs: parts=14677&parts=14687
notPartsinteger[]NoFilter work orders that have none of the provided parts. To filter by multiple part IDs: notParts=14677&notParts=14687
vendorsinteger[]NoTo filter by multiple vendor IDs: vendors=7123&vendors=2234
notVendorsinteger[]NoFilter work orders that have none of the provided vendors. To filter by multiple vendor IDs: notVendors=7123&notVendors=2234
assigneesinteger[]NoTo filter by multiple assignee IDs: assignees=23494&assignees=79808
teamsinteger[]NoTo filter by multiple team IDs: teams=112&teams=243
categoriesany[]NoTo filter by multiple categories: categories=123456&categories=Damage
notCategoriesany[]NoFilter work orders that have none of the provided categories. To filter by multiple categories: notCategories=123456&notCategories=Damage
prioritiesstring[]NoTo filter by multiple priorities: priorities=LOW&priorities=MEDIUM
statusesstring[]NoTo filter by multiple statuses: statuses=IN_PROGRESS&statuses=DONE
show_upcomingbooleanNoInclude work orders with a future start date
sortstringNoAttribute on which to sort the list. (for descending order, prefix attribute with ’-’).
expandstring[]NoTo expand multiple fields: expand=thumbnail&expand=assignees
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_work_orders_list_workorders_comments

List work order comments Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
cursorstringNoLast pagination reference
limitintegerNomax number of Comments returned

maintainx_work_orders_list_workorders_subworkorders

List sub work orders Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
cursorstringNoLast pagination reference
limitintegerNomax number of Subworkorders returned
expandstring[]NoTo expand multiple fields: expand=assignees&expand=asset

maintainx_work_orders_list_workrequestportals

List work request portals Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Work Request Portals returned
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_work_orders_list_workrequests

List work requests Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Work Requests returned
titlestringNoTo filter work orders by title or sequential ID
assetsinteger[]NoTo filter by multiple asset IDs: assets=630&assets=634
locationsinteger[]NoTo filter by multiple location IDs: locations=193&locations=194&locations=195
prioritiesstring[]NoTo filter by multiple priorities: priorities=LOW&priorities=MEDIUM
statusesstring[]NoTo filter by multiple statuses: statuses=APPROVED&statuses=DONE
expandstring[]NoTo expand multiple fields: expand=asset&expand=location
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_work_orders_update_workorders

Update work order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
assetIdintegerNoAsset Id
assigneesobject[]NoEither the teamId, the userId or the user email address
categoriesstring[]NoList of categories that identify the work order
descriptionstringNoThe description value
dueDatestringNoDate & time at which the work order is due
estimatedTimeintegerNoThe estimated time taken in seconds to complete the work order
externalDataobjectNoExtra data that can be attached to the work order, for example to help reference to a matching record in an external system.
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Estimated Time Allotted”)
locationIdintegerNoGlobal ID of the location assigned to the work order
partsUsedobject[]NoParts IDs and quantities used in this work order
prioritystringNoThe priority value
procedureobjectNoThe procedure value
procedureTemplateIdnumberNoID of the procedure template to attach
recurrenceInfoobjectNoRecurrence Info
requesterIdobjectNoID or email of the user who requested the work order
startDatestringNoDate & time at which the work order will show up in the inbox</br>Only valid when <b>dueDate</b> is set
titlestringNoThe title value
typestringNoValid types of Work Orders.
vendorIdsnumber[]NoVendor IDs

maintainx_work_orders_update_workorders_procedure_fields_attachment

Update procedure field attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order
indexintegerYesSequential index of the field in the procedure
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_work_orders_update_workorders_status

Update work order status Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the workOrder
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
statusstringNo<br /><em>Note:</em> It is also possible to register a webhook to get notified when the status of any work order changes. Please see the <a href=“#tag/Subscriptions”>Subscriptions</a> section for more information.

maintainx_work_orders_update_workrequestportals

Update work request portal Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work request portal
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
assetIdintegerNoID of the asset related to the portal
contactInformationstringNoContact of the person creating the portal (email or phone number)
descriptionPlaceholderstringNoPlaceholder text for the description field
emailOnlybooleanNoAllow request creation with email only to contact the requester
locationIdintegerNoID of the location where the portal is located
sendEmailNotificationbooleanNoSend email notifications to the portal requesters with status updates on their requests
titlestringNoTitle of the portal
welcomeTextstringNoDescription text describing the portal

maintainx_work_orders_update_workrequests

Update work request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work request
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
approverTeamIdnumberNoID of the team that is reponsible for approving the request.
assetIdnumberNoAsset Id
creatorContactInfostringNoThe creator’s contact information associated with this work order request. Possible types are EMAIL, PHONE, and OTHER, which will be inferred from the string provided
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Request Type”)
locationIdnumberNoLocation Id
prioritystringNoThe priority value
titlestringNoThe title value

maintainx_work_orders_upload_workorders_attachments

Update work order attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_work_orders_upload_workorders_thumbnail

Update work order’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work order.
filenamestringYesName of the work order thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.

maintainx_work_orders_upload_workrequests_attachments

Update work request attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work request.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_work_orders_upload_workrequests_thumbnail

Update work request’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the work request.
filenamestringYesName of the work request thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.